style(最大 1000 字符)、title(最大 100 字符)、lyrics / prompt(最大 5000 字符)uploadUrl)即可生成;lyrics(原 prompt)、title、style 非必传uploadUrl、modellyrics 优先于 prompt 作为歌词;未传 lyrics 时,若提供了 prompt 则将 prompt 作为歌词continueAt 指定从原始音频的哪个时间点开始进行扩展uploadUrl 用于指定源音频文件。请确保上传的音频长度不超过 8 分钟。uploadUrl 参数用于指定音频文件的上传位置;请提供有效的 URL。| 参数名 | 类型 | 说明 |
|---|---|---|
lyrics | string | 歌词内容。可选。优先于 prompt 作为歌词。V6 最多 5000 字符。 |
prompt | string | 未传 lyrics 时作为歌词。可选。V6 最多 5000 字符。 |
style | string | 音乐风格。可选。V6 最多 1000 字符。 |
title | string | 曲目标题。可选。最多 100 字符。 |
continueAt | number | 开始延长的时间点(秒)。大于 0 且小于上传音频时长。 |
variety | integer | 生成结果多样性。0–4 的整数,默认 1。0 关 / 1 普通 / 2 高 / 3 额外 / 4 最大。 |
vocalGender | string | 人声性别偏好。m 代表男声,f 代表女声。 |
styleWeight | number | 对风格的遵循强度。范围 0–1,保留两位小数。示例:0.65。 |
weirdnessConstraint | number | 创意/离散程度控制。范围 0–1,保留两位小数。示例:0.65。 |
audioWeight | number | 音频要素权重。范围 0–1,保留两位小数。示例:0.65。 |
personaId | string | 应用到生成音乐的 Persona ID 或 Voice ID。生成 Persona ID 请访问 生成 Persona。 |
curl --location 'https://api.emix.ai/api/v1/client/tasks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "suno/upload-and-extend-audio",
"callBackUrl": "https://api.example.com/callback",
"input": {
"uploadUrl": "https://api.example.com/upload",
"prompt": "用更多舒缓的音符延长音乐",
"lyrics": "[主歌]\n让旋律继续流淌\n走进一段柔和的过渡\n[副歌]\n钢琴起伏回旋",
"style": "古典",
"title": "宁静钢琴延长版",
"continueAt": 60,
"instrumental": true,
"model": "V6",
"negativeTags": "舒缓钢琴",
"vocalGender": "m",
"styleWeight": 0.65,
"weirdnessConstraint": 0.65,
"audioWeight": 0.65,
"variety": 1,
"personaId": "persona_123",
"personaModel": "style_persona"
}
}'{
"msg": "Text generated successfully.",
"code": 200,
"data": {
"data": "[{\"id\":\"231a2348-2d4a-4ad2-a02a-dabd6ce49271\",\"stream_audio_url\":\"https://audiopipe.suno.ai/?item_id=231a2348-2d4a-4ad2-a02a-dabd6ce49271\",\"image_url\":\"https://tempfile.aiquickdraw.com/r/73c347ebdf5740fcb64d7dbafce45751.jpeg\",\"prompt\":\"Create an uplifting pop cover version of the uploaded audio with modern production, driving beat, and soaring vocal harmonies. Add electronic elements and build energy throughout the track.\",\"model_name\":\"chirp-fenix\",\"title\":\"Summer Vibes Cover\",\"tags\":\"Pop, Electronic, Uplifting\"},{\"id\":\"553a46f1-faea-46a3-b2c1-9865153f7ce1\",\"stream_audio_url\":\"https://audiopipe.suno.ai/?item_id=553a46f1-faea-46a3-b2c1-9865153f7ce1\",\"image_url\":\"https://tempfile.aiquickdraw.com/r/dc4ddc0f467b419ba3d22c0ef3ce7243.jpeg\",\"prompt\":\"Create an uplifting pop cover version of the uploaded audio with modern production, driving beat, and soaring vocal harmonies. Add electronic elements and build energy throughout the track.\",\"model_name\":\"chirp-fenix\",\"title\":\"Summer Vibes Cover\",\"tags\":\"Pop, Electronic, Uplifting\"}]",
"taskId": "857d1ad2a4c9b7eeef065676e1d945c7",
"callbackType": "text"
}
}